| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
tap-rtp-analysis.h File Reference
`#include <epan/address.h>`
`#include <epan/packet_info.h>`

Go to the source code of this file.

## Classes
struct | _bw_history_item
| Records a single bandwidth history sample for an RTP stream at a point in time. More...
struct | _tap_rtp_stat_t
| Accumulates per-packet statistics for an RTP stream delivered via the tap interface. More...
struct | _tap_rtp_save_data_t
| Holds the minimal per-packet data needed when saving an RTP stream's payload to file. More...

## Macros
#define | BUFF_BW 300
#define | PT_UNDEFINED -1
#define | STAT_FLAG_FIRST 0x001
#define | STAT_FLAG_MARKER 0x002
#define | STAT_FLAG_WRONG_SEQ 0x004
#define | STAT_FLAG_PT_CHANGE 0x008
#define | STAT_FLAG_PT_CN 0x010
#define | STAT_FLAG_FOLLOW_PT_CN 0x020
#define | STAT_FLAG_REG_PT_CHANGE 0x040
#define | STAT_FLAG_WRONG_TIMESTAMP 0x080
#define | STAT_FLAG_PT_T_EVENT 0x100
#define | STAT_FLAG_DUP_PKT 0x200

## Typedefs
typedef struct _bw_history_item | bw_history_item
| Records a single bandwidth history sample for an RTP stream at a point in time.
typedef struct _tap_rtp_stat_t | tap_rtp_stat_t
| Accumulates per-packet statistics for an RTP stream delivered via the tap interface.
typedef struct _tap_rtp_save_data_t | tap_rtp_save_data_t
| Holds the minimal per-packet data needed when saving an RTP stream's payload to file.

## Functions
void | rtppacket_analyse (tap_rtp_stat_t *statinfo, const packet_info *pinfo, const struct _rtp_info *rtpinfo)
| Analyzes an RTP packet and updates statistics.

## Detailed Description

RTP analysis addition for Wireshark

Copyright 2003, Alcatel Business Systems By Lars Ruoff lars..nosp@m.ruof.nosp@m.f@gmx.nosp@m..net

based on tap_rtp.c Copyright 2003, Iskratel, Ltd, Kranj By Miha Jemec m.jem.nosp@m.ec@i.nosp@m.skrat.nosp@m.el.s.nosp@m.i

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

???

Todo
  what's this?

## Macro Definition Documentation

## ◆ BUFF_BW

#define BUFF_BW 300

Number of bandwidth history entries retained in the rolling history buffer.

## Function Documentation

## ◆ rtppacket_analyse()

void rtppacket_analyse | ( | tap_rtp_stat_t * | statinfo,
|  | const packet_info * | pinfo,
|  | const struct _rtp_info * | rtpinfo )
| extern

Analyzes an RTP packet and updates statistics.

Parameters

  statinfo | Pointer to the RTP statistics structure.
  pinfo | Pointer to the packet information structure.
  rtpinfo | Pointer to the RTP information structure.

< Number of bandwidth history entries retained in the rolling history buffer.

< Number of bandwidth history entries retained in the rolling history buffer.